---
title: line-height
slug: Web/CSS/line-height
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Layout
  - Reference
  - Text
  - Vertical
  - height
  - 'recipe:css-property'
  - size
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>line-height</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the height of a line box. It's commonly used to set the distance between lines of text.</span> On block-level elements, it specifies the minimum height of line boxes within the element. On non-<a href="/en-US/docs/Web/CSS/Replaced_element">replaced</a> inline elements, it specifies the height that is used to calculate line box height.</p>

<div>{{EmbedInteractiveExample("pages/css/line-height.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
line-height: normal;

/* Unitless values: use this number multiplied
by the element's font size */
line-height: 3.5;

/* &lt;length&gt; values */
line-height: 3em;

/* &lt;percentage&gt; values */
line-height: 34%;

/* Global values */
line-height: inherit;
line-height: initial;
line-height: unset;
</pre>

<p>The <code>line-height</code> property is specified as any one of the following:</p>

<ul>
 <li>a <code><a href="#&lt;number&gt;">&lt;number&gt;</a></code></li>
 <li>a <code><a href="#&lt;length&gt;">&lt;length&gt;</a></code></li>
 <li>a <code><a href="#&lt;percentage&gt;">&lt;percentage&gt;</a></code></li>
 <li>the keyword <code><a href="#normal">normal</a></code>.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code id="normal">normal</code></dt>
 <dd>Depends on the user agent. Desktop browsers (including Firefox) use a default value of roughly<strong> <code>1.2</code></strong>, depending on the element's <code>font-family</code>.</dd>
 <dt><code id="&lt;number&gt;">&lt;number&gt;</code> (unitless)</dt>
 <dd>The used value is this unitless {{cssxref("&lt;number&gt;")}} multiplied by the element's own font size. The computed value is the same as the specified <code>&lt;number&gt;</code>. In most cases, <strong>this is the preferred way</strong> to set <code>line-height</code> and avoid unexpected results due to inheritance.</dd>
 <dt><code id="&lt;length&gt;">&lt;length&gt;</code></dt>
 <dd>The specified {{cssxref("&lt;length&gt;")}} is used in the calculation of the line box height. Values given in <strong>em</strong> units may produce unexpected results (see example below).</dd>
 <dt><code id="&lt;percentage&gt;">&lt;percentage&gt;</code></dt>
 <dd>Relative to the font size of the element itself. The computed value is this {{cssxref("&lt;percentage&gt;")}} multiplied by the element's computed font size. <strong>Percentage</strong> values may produce unexpected results (see the second example below).</dd>
 <dt><code id="-moz-block-height">-moz-block-height</code> {{non-standard_inline}}</dt>
 <dd>Sets the line height to the content height of the current block.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Use a minimum value of <code>1.5</code> for <code>line-height</code> for main paragraph content. This will help people experiencing low vision conditions, as well as people with cognitive concerns such as Dyslexia. If the page is zoomed to increase the text size, using a unitless value ensures that the line height will scale proportionately.</p>

<p><a href="https://www.w3.org/TR/WCAG21/#visual-presentation" rel="noopener">W3C Understanding WCAG 2.1</a></p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<pre class="brush: css notranslate">/* All rules below have the same resultant line height */

div { line-height: 1.2;   font-size: 10pt; }   /* number/unitless */
div { line-height: 1.2em; font-size: 10pt; }   /* length */
div { line-height: 120%;  font-size: 10pt; }   /* percentage */
div { font: 10pt/1.2  Georgia,"Bitstream Charter",serif; } /* font shorthand */</pre>

<p>It is often more convenient to set <code>line-height</code> by using the {{cssxref("font")}} shorthand as shown above, but this requires the <code>font-family</code> property to be specified as well.</p>

<h3 id="Prefer_unitless_numbers_for_line-height_values">Prefer unitless numbers for line-height values</h3>

<p>This example shows why it is better to use {{cssxref("&lt;number&gt;")}} values instead of {{cssxref("&lt;length&gt;")}} values. We will use two {{HTMLElement("div")}} elements. The first, with the green border, uses a unitless <code>line-height</code> value. The second, with the red border, uses a <code>line-height</code> value defined in <code>em</code>s.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="box green"&gt;
 &lt;h1&gt;Avoid unexpected results by using unitless line-height.&lt;/h1&gt;
  length and percentage line-heights have poor inheritance behavior ...
&lt;/div&gt;

&lt;div class="box red"&gt;
 &lt;h1&gt;Avoid unexpected results by using unitless line-height.&lt;/h1&gt;
  length and percentage line-heights have poor inheritance behavior ...
&lt;/div&gt;

&lt;!-- The first &lt;h1&gt; line-height is calculated from its own font-size   (30px × 1.1) = 33px  --&gt;
&lt;!-- The second &lt;h1&gt; line-height results from the red div's font-size  (15px × 1.1) = 16.5px,  probably not what you want --&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.green {
  line-height: 1.1;
  border: solid limegreen;
}

.red {
  line-height: 1.1em;
  border: solid red;
}

h1 {
  font-size: 30px;
}

.box {
  width: 18em;
  display: inline-block;
  vertical-align: top;
  font-size: 15px;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Prefer_unitless_numbers_for_line-height_values', 600, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS2.1', 'visudet.html#propdef-line-height', 'line-height')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#line-height', 'line-height')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.properties.line-height")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("font")}}, {{Cssxref("font-size")}}</li>
</ul>
